/* dashboard.css */
/* la fuente de los titulos es: font-family: 'Signika Negative', sans-serif;  */


/*
.dashboard-container {
    display: flex;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    flex-direction: column;
    height: 100vh;
    width: 100%;
    padding: 2px;
    box-sizing: border-box;
    gap: 25px;
    position: relative;
    overflow: auto; /* auto: para que salga la barra de scroll.  hidden: es para quitar o poner el scroll 
}*/



.dashboard-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    padding: 10px;
    height: calc(100vh - 20px); /* Ajusta este valor según sea necesario */
}

.dashboard-row {
    display: flex;
    width: 100%;
    gap: 14px; /* EDU: POR ESTE GAP Y MARGIN TOP LAS CARDS DEL DASH ESTAN SEPARADAS */
    /* Elimina height: 100%; */
    margin-top: 05px; /* EDU: POR ESTE GAP Y MARGIN TOP LAS CARDS DEL DASH ESTAN SEPARADAS */
    margin-bottom: 20px; /* Espacio entre filas */
    height: auto; /* Asegura que la altura sea automática */
    min-height: 370px; /* Opcional: establece una altura mínima */    
}

.dashboard-card {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 15px;
    display: flex;
    flex-direction: column;
    overflow: auto;
    margin: 0 10px 10px 0; /* Reducido el margen para un mejor ajuste */
    min-height: 370px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    height: 100%; /* Mantiene la altura al 100% del contenedor padre */
}



.dashboard-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px; 
} 







.dashboard-card.multi-row {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 15px;
    flex: 1; /* Permite que las tarjetas crezcan según el espacio disponible */
    height: 100%; /* Asegura que las tarjetas ocupen el 100% de la altura de la fila */
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.dashboard-card h3 {
    margin-top: 0;
    margin-bottom: 10px;
    font-size: 1.1em;
    color: #4A352E;
    text-transform: uppercase;
    font-family: 'Signika Negative', sans-serif; 
}

.card-content {
    flex-grow: 1;
    overflow: auto;
}

.big-number {
    font-size: 4em;
    font-weight: bold;
    color: #3F758B;
}

.big-text {
    font-size: 1.5em;
    font-weight: bold;
    color: #3F758B;
}

.description {
    font-size: 0.9em;
    color: #666;
}

/* Estilos comunes para etiquetas destacadas */
.foraging-source-name,
.date-range-label {
    font-weight:500;
    color: #3F758B;
    font-size: 15px;
    padding-top: 9px;
}

/* Estilos para Fuentes de Forrajeo */
.foraging-source-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
    font-size: 14px;
}

.foraging-source-count {
    color: #333;
}

/* Estilos para Rango de Fechas */
.date-range-item {
    margin-bottom: 10px;
    font-size: 14px;
}

.date-range-label {
    margin-right: 5px;
}

.date-range-value {
    color: #333;
}

/* Estilo para cuando no hay datos disponibles */
.no-data {
    color: #999;
    font-style: italic;
}
@keyframes highlight {
    0% { color: #add4e1; }
    50% { color: #76adbf; }
    100% { color: #3F758B; }
}

#totalHivesCount {
    animation: highlight 2s ease-in-out;
}
.disease-info {
    position: relative;
    transition: all 0.5s ease-in-out;
    background: white;
    border-radius: 10px;

    padding: 20px;
    overflow: hidden;
}

.disease-info h3 {
    margin-bottom: 10px;
    color: #333;
}

.disease-info h4 {
    margin-top: 15px;
    margin-bottom: 10px;
    color: #555;
}

.disease-info ul {
    list-style-type: none;
    padding-left: 0;
}

.disease-info li {
    margin-bottom: 5px;
}

.disease-info a {
    color: #3f758b;
    text-decoration: none;
}

.disease-info a:hover {
    text-decoration: underline;
}
.disease-info {
    position: relative;
    transition: all 0.3s ease;
}


.expandable-content {
    display: none;
}

.fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: white;
    z-index: 9999;
    overflow-y: auto;
    padding: 20px;
    box-sizing: border-box;
}

.fullscreen .expandable-content {
    display: block;
}

.fullscreen .expand-button {
    position: fixed;
}
.expand-button:hover {
    transform: scale(1.1);
}


.expandable-content {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: white;
    z-index: 9999;
    overflow-y: auto;
    padding: 40px;
    box-sizing: border-box;
}

.fullscreen .expandable-content {
    opacity: 1;
}

.fullscreen .expand-button {
    position: fixed;
    top: 30px;
    right: 30px;
}

.disease-info h3 {
    margin-bottom: 15px;
    color: #333;
    font-size: 1.4em;
}

.disease-info h4 {
    margin-top: 20px;
    margin-bottom: 10px;
    color: #555;
    font-size: 1.2em;
}

.disease-info ul {
    list-style-type: none;
    padding-left: 0;
}

.disease-info li {
    margin-bottom: 10px;
}

.disease-info a {
    color: #3f758b;
    text-decoration: none;
    transition: color 0.3s ease;
}

.disease-info a:hover {
    color: #3f758b;
    text-decoration: underline;
}
body.modal-open {
    overflow: hidden;
}

#modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.modal-content {
    background-color: white;
    padding: 30px;
    border-radius: 10px;
    width: 70%;
    height: 70%;
    overflow-y: auto;
    position: relative;
    transform: scale(0.9);
    transition: transform 0.3s ease-in-out;
}

.close-modal-button {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    font-size: 1.5em;
    color: #333;
    cursor: pointer;
    transition: color 0.3s ease;
}

.close-modal-button:hover {
    color: #3f758b;
}

.disease-info h3 {
    margin-bottom: 15px;
    color: #333;
    font-size: 1.4em;
}

.disease-info h4 {
    margin-top: 20px;
    margin-bottom: 10px;
    color: #555;
    font-size: 1.2em;
}

.disease-info ul {
    list-style-type: none;
    padding-left: 0;
}

.disease-info li {
    margin-bottom: 10px;
}

.disease-info a {
    color: #3f758b;
    text-decoration: none;
    transition: color 0.3s ease;
}

.disease-info a:hover {
    color: #3f758b;
    text-decoration: underline;
}





.expand-button {
    position: absolute;
    top: 1px;
    right: 4px;
    background: none;
    border: none;
    font-size: 0.6em;
    color: #3f758b;
    cursor: pointer;
    z-index: 1000;
    transition: all 0.3s ease;
}





.disease-info {
    padding: 20px;
    background-color: #f8f9fa;
    border-radius: 8px;

}

.disease-info h3 {
    margin-bottom: 15px;
    color: #333;
}



.read-more-link {
    display: inline-block;
    margin-top: 10px;
    color: #3f758b;
    text-decoration: none;
}

.read-more-link:hover {
    text-decoration: underline;
}

.modal-content {
    padding: 30px;
}

.disease-details {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.disease-item {
    background-color: #f8f9fa;
    border-radius: 8px;
    padding: 15px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}

.disease-item h4 {
    margin-bottom: 10px;
    color: #4A352E;
}

.disease-item p {
    margin-bottom: 10px;
    color: #666;
}
.disease-info {
    padding: 20px;
    background-color: #f8f9fa;
    border-radius: 8px;

}

.disease-info h3 {
    margin-bottom: 15px;
    color: #333;
}



.read-more-link {
    display: inline-block;
    margin-top: 10px;
    color: #3f758b;
    text-decoration: none;
}

.read-more-link:hover {
    text-decoration: underline;
}

#modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.modal-content {
    background-color: white;
    padding: 30px;
    border-radius: 10px;
    width: 80%;
    max-height: 80vh;
    overflow-y: auto;
    position: relative;
    transform: scale(0.9);
    transition: transform 0.7s ease-in-out;
}

.close-modal-button {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    font-size: 1.5em;
    color: #333;
    cursor: pointer;

}
.disease-info {
    position: relative;
    transition: all 0.5s ease-in-out;
    background: white;
    border-radius: 10px;

    padding: 20px;
    overflow: hidden;
}



.expandable-content {
    display: none;
}

.fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: white;
    z-index: 9999;
    overflow-y: auto;
    padding: 20px;
    box-sizing: border-box;
}

.fullscreen .expandable-content {
    display: block;
}

.fullscreen .expand-button {
    position: fixed;
}
#topLocations .card-content {
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden; /* Evita el scroll en la tarjeta principal */
}



#topLocations .card-content {
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

#topLocationsMap {
    flex: 0 0 65%;
    min-height: 65%;
}

.top-locations-list {
    flex: 0 0 35%;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.8);
    border-top: 1px solid #ddd;
    overflow-y: auto;
}

.top-locations-list h4 {
    margin: 0 0 10px;
    font-size: 1em;
}

.top-locations-list ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.top-locations-list li {
    margin-bottom: 0px;
    font-size: 0.9em;
}



/* Estilos para navegadores webkit (Chrome, Safari, nuevas versiones de Edge) */
.dashboard-container::-webkit-scrollbar {
    width: 8px;
}

.dashboard-container::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

.dashboard-container::-webkit-scrollbar-thumb {
    background: var(--primary-color);
    border-radius: 10px;
    border: 2px solid #f1f1f1;
    transition: background 0.3s ease-in-out;
}
.width-20 {
    width: 20%;
}

.width-30 {
    width: 30%;
}

.width-33 {
    width: 33.33%;
}

.width-45 {
    width: 45%;
}

.width-50 {
    width: 50%;
}

.width-55 {
    width: 55%;
}

.width-100 {
    width: 100%;
}
